<?php if (!defined('PmWiki')) exit();
// See precode/README
if (file_exists("cookbook/precode/precode.php")) {
  $EnablePrecode = 1;
  include_once('cookbook/precode/precode.php');
}

//LoadPrism();

function LoadPrism($lang) {

/////// ADJUST VALUES ///////

	$PrismPath = '/pub/lib/prism';
	/* coy, dark, default, funky, okaidia, tomorrow, twilight */
	$theme = 'default';

/////////////////////////////

	global $HTMLHeaderFmt, $HTMLFooterFmt;

	if(isset($theme)) {
		$th = "<link rel='stylesheet' type='text/css' href='$PrismPath/themes/prism-$theme.css' />";
	}

	$HTMLHeaderFmt['PrismCss'] =  <<<EOF

$th
<style type='text/css'><!--
  pre { }
  pre code {  }
  pre .layer1 { padding-top: 1em !important; }
--></style>
EOF;

	$HTMLFooterFmt['Prism'] =  "\n".<<<EOF
<script type='text/javascript' src='$PrismPath/prism.js'></script>
EOF;
	$HTMLFooterFmt['Prism-'.$lang] =  "\n".<<<EOF
<script type='text/javascript' src="$PrismPath/components/prism-$lang.min.js"></script>
EOF;


}

function PreCode2($pagename, $text, $args = '') {

	$PreCode = _PreCode($pagename, $text, $args);
	extract($PreCode, EXTR_OVERWRITE);

	static $highlights = array();
	include('adapter.base.php');

	$langs =  array(
		'bash', 'clike', 'c', 'coffeescript', 'core', 'cpp',
		'csharp', 'css-extras', 'css', 'gherkin', 'go', 'groovy',
		'http', 'java', 'javascript', 'markup', 'php-extras',
		'php', 'python', 'ruby', 'scss', 'sql'
	);

	$lang = trim($lang);
	if( empty($lang) || !in_array($lang, $langs) ) {
		$lang = 'markup'; }
	LoadPrism($lang);

	$_id = " id='$id'"; $_idc = " id='$idc'";
	$_c = isset($args['classreset']) ? $args['classreset'].$args['_c'] : '';
	$_c1 = ' class="'.$args['theme'].$showlines.' hs '.@$args['classreset'].'"';
	$lang = ! empty($lang) ? 'language-'.$lang.' ' : '';
	$_c2 = ' class="'.$lang.' '.$_c.'"';
	return Keep('<pre'.$_id.$_c1.'><code'.$_idc.$_c2.'>'.$text.'</code></pre>');

}
